/*
 *  material.h
 *
 *  Author : Ahmed Obied (ahmed.obied@gmail.com)
 *
 */

#ifndef MATERIAL_H
#define MATERIAL_H
#include "color.h"

class Material
{
 public:
  Material();
  Color ambient;
  Color diffuse;
  Color specular;
  double reflection;
  double transmission;
  int shininess;
  void setAmbient(Color amb);
  void setDiffuse(Color dif);
  void setSpecular(Color spec);
  void setReflection(double ref);
  void setTransmission(double trans);
  void setShininess(int shin);
  double getReflection();
};

#endif
